"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDivider = void 0;
const react_divider_1 = require("@fluentui/react-divider");
/**
 * Returns the props and state required to render the component
 * @param props - User-provided props to the Divider component.
 * @param ref - User-provided ref to be passed to the Divider component.
 */
const useDivider = (props, ref) => {
    const { color = 'inherit' } = props;
    const state = (0, react_divider_1.useDivider_unstable)(props, ref);
    return {
        color,
        ...state,
    };
};
exports.useDivider = useDivider;
//# sourceMappingURL=useDivider.js.map